---
title: Identify bank
slug: apis/accounts/deposit-sweeps-apis/get-a-bank-name
description: Retrieve a bank's name via GET /SweepsIntrafi/v1/Banks/{bankNumber} using the bankNumber retrieved previously.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T06:24:35.263Z
---

## API reference

Returns a bank name for a bank ID. Get a list of bank IDs with the [Bank list](docId\:RZxJ8syt4OiJDZq0FIzZ9) call.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /SweepsIntrafi/v1/Banks/{bankNumber}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks/{bankNumber}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "0vTOQcmlG-MRm3GsBSecZ",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/SweepsIntrafi/v1/banks/10004'",
        "customLabel": ""
      },
      {
        "id": "ZQdJFHycPuMoX9OgGhgsF",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/SweepsIntrafi/v1/banks/10004',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "1DQQo03FjSlORuYTTsARE",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {}\nconn.request(\"GET\", \"/SweepsIntrafi/v1/banks/10004\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "vKNxlSCrv8zNLxvKQUjt0",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/SweepsIntrafi/v1/banks/10004\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "bEXtjK-R9E6elhFXaO3up",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/SweepsIntrafi/v1/banks/10004\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "0vTOQcmlG-MRm3GsBSecZ"
  },
  "results": {
    "languages": [
      {
        "id": "QqHiLt-FHhPgn7vzGSzAQ",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"bankNumber\": \"10004\",\n    \"name\": \"Farmers State Bank\",\n    \"abaNumber\": \"075903763\",\n    \"effectiveDate\": \"2025-06-20T00:00:00-04:00\",\n    \"lastModifiedAt\": \"2025-06-20T16:35:45.5739859-04:00\"\n}"
      },
      {
        "id": "Rlz8sNuia0a7TP78GEZu3",
        "language": "400",
        "code": "{\n  \"errors\": [\n    {\n      \"code\": 0,\n      \"message\": \"BadRequest\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "MkzOjj1RXMGrSWJeOOsVN",
        "language": "404",
        "customLabel": "",
        "code": ""
      }
    ],
    "selectedLanguageId": "QqHiLt-FHhPgn7vzGSzAQ"
  },
  "request": {
    "pathParameters": [
      {
        "name": "bankNumber",
        "kind": "required",
        "type": "string",
        "description": "The bank number for the bank",
        "": "required"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "bankNumber",
      "kind": "optional",
      "type": "string",
      "description": "Requested bank number"
    },
    {
      "name": "name",
      "kind": "optional",
      "type": "string",
      "description": "Bank name",
      "children": []
    },
    {
      "name": "abaNumber",
      "kind": "optional",
      "type": "string",
      "description": "ABA (American Bankers Association) routing number is a 9 digit number used to identify banks in America",
      "children": []
    },
    {
      "name": "effectiveDate",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last effective.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-sweepsintrafiv1banksbanknumber",
  "legacyHash": "54p33ZELywG5-fmfvN0Im"
}
```
:::

